## livecd-rootfs 2.664.47

=== debian/changelog ===
livecd-rootfs (2.664.47) focal; urgency=medium

  * disk-image-uefi: bump armhf size. (LP: #2011739)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 20 Mar 2023 19:19:05 -0400
