## livecd-rootfs 2.664.49

=== debian/changelog ===
livecd-rootfs (2.664.49) focal; urgency=medium

  * Address the missing GRUB_DISTRIBUTOR issue. LP: #2034253

 -- jchittum <john.chittum@canonical.com>  Fri, 08 Sep 2023 08:35:15 -0500

livecd-rootfs (2.664.48) focal; urgency=medium

  * Drop use of --removable flag to grub-install from
    live-build/buildd/hooks/02-disk-image-uefi.binary, to match the cloud
    images (7c760864fdcb278ca37396f06f5e3f297428d63d).  This fixes
    bootloader updates in the buildd images, but also fixes compatibility
    with using devtmpfs for losetup. 

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 May 2023 00:09:01 -0700
