## livecd-rootfs 2.664.51

=== debian/changelog ===
livecd-rootfs (2.664.51) focal; urgency=medium

  [ Steve Langasek ]
  * The chroot tmpfs mount should only be /var/lib/apt/lists, not
    /var/lib/apt; the latter breaks changes to /var/lib/apt/extended_states.
    (LP: #2036195).

 -- Phil Roche <phil.roche@canonical.com>  Thu, 19 Oct 2023 18:17:20 +0100

livecd-rootfs (2.664.50) focal; urgency=medium

  * Do not modify /etc/ssh/sshd_config for ubuntu-cpc
    project builds. (LP: #1968873)

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Thu, 28 Sep 2023 13:16:46 +0200
