## livecd-rootfs 2.664.53

=== debian/changelog ===
livecd-rootfs (2.664.53) focal; urgency=medium

  [Catherine Redfield]
  * add 5.15 apparmor directory for snap preseeding with 5.15 kernel
    (LP: #2052789)
  * bind correct apparmor feature for validating snap seed
    (LP: #2059730)

 -- Phil Roche <phil.roche@canonical.com>  Fri, 09 Feb 2024 09:41:18 +0000

livecd-rootfs (2.664.52) focal; urgency=medium

  * fix: use correct sshd_config.d/ ordering. (LP: #2049860)

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Mon, 22 Jan 2024 17:08:05 +0530
