## livecd-rootfs 2.664.54

=== debian/changelog ===
livecd-rootfs (2.664.54) focal; urgency=medium

  * add cpc-sbom to create_manifest calls to generate sboms (LP: #2077105) 

 -- jchittum <john.chittum@canonical.com>  Wed, 28 Aug 2024 09:30:19 -0400
