=== debian/control ===
Source: livecd-rootfs
Section: devel
Priority: optional
Build-Depends: debhelper (>= 7)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.9.6
Vcs-Git: https://git.launchpad.net/livecd-rootfs -b ubuntu/master

Package: livecd-rootfs
Architecture: any
Depends: ${misc:Depends},
         apt-utils,
         attr,
         debootstrap,
         distro-info,
         dosfstools,
         e2fsprogs,
         gdisk,
         genisoimage,
         germinate (>= 1.25.1),
         git,
         gnupg,
         grep-dctrl,
         kpartx,
         live-build (>= 3.0~a57-1ubuntu31~),
         lsb-release,
         lzma,
         make,
         parted,
         procps,
         python3,
         python3-apt,
         python3-software-properties,
         python3-yaml,
         qemu-utils [!i386],
         rsync,
         snapd (>= 2.39) [!i386],
         squashfs-tools (>= 1:3.3-1),
         sudo,
         u-boot-tools [armhf arm64],
         ubuntu-image [!i386 !riscv64],
         python3-vmdkstream [amd64 i386],
         xz-utils,
         zerofree
Breaks: ubuntu-defaults-builder (<< 0.32)
Description: construction script for the livecd rootfs
 livecd-rootfs provides the script used to create the root filesystem
 on the livecd.
