## livecd-rootfs 2.694

=== debian/changelog ===
livecd-rootfs (2.694) groovy; urgency=medium

  * Add the pi desktop oem user to the adm and sudo groups, as that is needed
    for wifi configuration.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 20 Oct 2020 17:25:35 +0200

livecd-rootfs (2.693) groovy; urgency=medium

  * Build classic raspi server images by default from the 'classic' branch now.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 19 Oct 2020 12:58:15 +0200

livecd-rootfs (2.692) groovy; urgency=medium

  * Create a 1GB swapfile for the raspi desktop images. 

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 15 Oct 2020 11:23:47 +0200

livecd-rootfs (2.691) groovy; urgency=medium

  * Remove 68-del-part-nodes.rules from installer squashfs to work around it
    breaking curtin. (LP: #1893818)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 15 Oct 2020 08:56:11 +1300

livecd-rootfs (2.690) groovy; urgency=medium

  * Add initial support for the Ubuntu Desktop Raspberry Pi image.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 07 Oct 2020 10:49:38 +0200

livecd-rootfs (2.689) groovy; urgency=medium

  * ubuntu-cpc: remove explicit install of virtualbox-guest-utils.
    LP: #1895862

 -- John Chittum <john.chittum@canonical.com>  Tue, 29 Sep 2020 12:59:23 -0500

livecd-rootfs (2.688) groovy; urgency=medium

  * ubuntu-cpc: Fix spelling in vagrant file

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 16 Sep 2020 08:45:04 -0500

livecd-rootfs (2.687) groovy; urgency=medium

  [ Stanislav German-Evtushenko <giner> / John Chittum ]
  * Send Vagrant serial connection to NULL. (LP: #1874453)  

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 15 Sep 2020 15:25:19 -0500

livecd-rootfs (2.686) groovy; urgency=medium

  [ Dan Streetman ]
  * use python3-launchpadlib directly instead of python3-software-properties

  [ Steve Langasek ]
  * Restore the removal of fstab from squashfs images, now that cloud-init
    has been fixed (LP: #1877078; ref bug #1890803)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 08:53:31 -0700

livecd-rootfs (2.685) groovy; urgency=medium

  * Revert 'ubuntu-cpc: Disable boot splash in all cloud images
            (LP: #1725358)'

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 12 Aug 2020 16:52:05 -0500

livecd-rootfs (2.684) groovy; urgency=medium

  * ubuntu-cpc: Fix ppc64el grub console update

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 12 Aug 2020 13:40:42 -0500

livecd-rootfs (2.683) groovy; urgency=medium

  * Revert the removal of fstab from squashfs images, which has had knock-on
    effects and breaks MAAS (ref bug #1890803)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2020 11:31:12 -0700

livecd-rootfs (2.682) groovy; urgency=medium

  * ubuntu-cpc: Disable boot splash in all cloud images (LP: #1725358)

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 12 Aug 2020 04:52:22 -0500

livecd-rootfs (2.681) groovy; urgency=medium

  [ Patrick Wu ]
  * Use the Azure kernel for the HyperV gallery images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2020 14:54:25 -0700

livecd-rootfs (2.680) groovy; urgency=medium

  [ Cody Shepherd ]
  * Add dist-upgrade to bootable-buildd hook to ensure the built image
    doesn't contain vulnerable kernels or other packages.
  * Don't explicitly install grub-efi-amd64-signed, it's a dependency of
    shim-signed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2020 12:30:34 -0700

livecd-rootfs (2.679) groovy; urgency=medium

  *  Handle seeded lxd snap with channel name for ubuntu-cpc:minimized
     (LP: #1889470)

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 29 Jul 2020 14:55:57 -0500

livecd-rootfs (2.678) groovy; urgency=medium

  [ David Krauser ]
  * Add mechanism to detect initrdless boot fallback

  [ Dimitri John Ledkov ]
  * auto/build: use setup|teardown_mountpoint to reduce duplication
  * functions: provide nss_systemd-less nsswitch.conf in chroots.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 24 Jul 2020 21:08:07 +0100

livecd-rootfs (2.677) groovy; urgency=medium

  * Avoid rbind /sys for chroot snap pre-seeding (cgroups fail to unmount)

 -- Robert C Jennings <robert.jennings@canonical.com>  Sat, 18 Jul 2020 16:51:05 -0500

livecd-rootfs (2.676) groovy; urgency=medium

  * apparmor: Add generic v5.4 kernel apparmor features
  * apparmor: mount more up-to-date apparmor features in the chroot.
  * seccomp: add more up-to-date seccomp actions
  * seccomp: mount more up-to-date seccomp features
  * apparmor: compile all profiles

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 18 Jul 2020 01:17:54 +0100

livecd-rootfs (2.675) groovy; urgency=medium

  [ Robert C Jennings ]
  * Apply snap-preseed optimizations after seeding snaps

  [ Dimitri John Ledkov ]
  * live-server: remove duplicate snaps, due to overlayfs vs snap-preseed.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 17 Jul 2020 21:19:35 +0100

livecd-rootfs (2.674) groovy; urgency=medium

  [ David Krauser ]
  * Fix broken minimal cloud image boot on amd64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 16 Jul 2020 15:40:15 -0700

livecd-rootfs (2.673) groovy; urgency=medium

  * Fix an unbound variable in scripts/functions. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 Jul 2020 14:57:19 +1200

livecd-rootfs (2.672) groovy; urgency=medium

  [ David Krauser ]
  * Boot with an initramfs by default in cloud images, except when
    using a non-generic kernel.

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 10 Jul 2020 07:47:47 -0500

livecd-rootfs (2.671) groovy; urgency=medium

  * Fix-up seeding snaps with tracks.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jul 2020 01:55:47 +0100

livecd-rootfs (2.670) groovy; urgency=medium

  * snap_preseed: support channel specification with snap name (LP: #1882374)


