=== debian/control ===
--- 
+++ 
@@ -30,11 +30,11 @@
          procps,
          python3,
          python3-apt,
-         python3-software-properties,
+         python3-launchpadlib,
          python3-yaml,
-         qemu-utils [!i386],
+         qemu-utils [!i386 !riscv64],
          rsync,
-         snapd (>= 2.39) [!i386],
+         snapd (>= 2.39) [!i386 !riscv64],
          squashfs-tools (>= 1:3.3-1),
          sudo,
          u-boot-tools [armhf arm64],
