## livecd-rootfs 2.694.6

=== debian/changelog ===
livecd-rootfs (2.694.6) groovy; urgency=medium

  * Add grub config to produce console output and install lxd-agent loader
    to allow buildd vm images to work in lxd without requirement for manual
    installation (LP: #1915571)

 -- Cody Shepherd <cody.shepherd@canonical.com>  Thu, 20 May 2021 16:55:41 -0800

livecd-rootfs (2.694.5) groovy; urgency=medium

  [ Thomas Bechtold ]
  * Add a new ubuntu-oci project that contains the customizations currently
    performed downstream for the official Ubuntu images on dockerhub.
    (LP: #1926732)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 11 May 2021 11:37:12 +1200

livecd-rootfs (2.694.4) groovy; urgency=medium

  [ Gauthier Jolly ]
  * ubuntu-cpc: secure esp mountpoint (LP: #1881006)
    Change mount option for ubuntu-cpc images from "defaults" to "umask=0077"
    ESP partitions might contain sensitive data and non-root users shouldn't
    have read access on it.

 -- Robert C Jennings <robert.jennings@canonical.com>  Sat, 10 Apr 2021 05:08:58 -0500

livecd-rootfs (2.694.3) groovy; urgency=medium

  [ David Krauser ]
  * buildd: produce kernel and initrd as separate artifacts LP: #1910557
  * buildd: call update-initramfs for all installed kernels
    We only have one kernel installed, so we don't need to
    specify an explicit version. LP: #1910557

  [ Dimitri John Ledkov ]
  * esp: install grub in ubuntu bootloader id path, instead of removable.
    (LP: #1912830)
  * esp: perform fsck. (LP: #1912835)
  * Perform fsck on all rootfs. (LP: #1912835)
  * functions: stop removing systemd-detect-virt unconditionally in undivert_grub
    (LP: #1902260)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Feb 2021 00:40:38 +0000

livecd-rootfs (2.694.2) groovy; urgency=medium

  [ Cody Shepherd ]
  * Create manifests for buildd tarball images (LP: #1914445)

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 05 Feb 2021 14:41:05 -0600

livecd-rootfs (2.694.1) groovy; urgency=medium

  * livecd-rootfs SRU of change up to 2.699 from hirsute to groovy.

  = hyperv gallery image =
  [ Jinming Wu, Patrick ]
  * hyper-v hook: Fix writing of pkla file out to correct scratch
    directory for image build. LP: #1901846
  [ Dimitri John Ledkov ]
  * auto/config: seed ubuntu-desktop when building hyperv image LP: #1901846
  * auto/config: scope ubuntu:desktop-preinstalled:raspi image options LP: #1901846

  = CPC cloud images =
  [ Dimitri John Ledkov & Joshua Powers ]
  * amd64: always install grub-pc with shim-signed (LP: #1901906), and
    ensure to autoremove packages
  [ John Chittum ]
  * Ensure vmtools version entered into vmdk header (LP: #1893898)

  = RISC-V port =
  * control: install qemu-utils & snapd on riscv64. (LP: #1903034)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 05 Nov 2020 11:54:14 +0000
