## livecd-rootfs 2.719

=== debian/changelog ===
livecd-rootfs (2.719) hirsute; urgency=medium

  * Our raspi server images should have used the raspi-server seed in hirsute,
    but we forgot to enable it. As it's release week and doing such invasive
    changes to our Pi images is risky, let's add the dependency on
    ubuntu-raspi-settings (which is seeded) to fix USB ethernet devices and
    GPIO permissions (LP: #1922266).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 19 Apr 2021 22:54:03 +0200

livecd-rootfs (2.718) hirsute; urgency=medium

  * Do not have cloud-init set the installer user's password to something
    random during boot, as cloud-init now hides the value it was set to much
    better. Instead, subiquity will reset the password itself.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 30 Mar 2021 10:57:21 +1300

livecd-rootfs (2.717) hirsute; urgency=medium

  * riscv64: generalise slightly how preinstalled server images are built,
    to allow using subarch to pick u-boot binaries to install.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Mar 2021 17:08:56 +0000

livecd-rootfs (2.716) hirsute; urgency=medium

  * Use the correct config keys in suppressing cloud-init output during boot
    of live server ISO.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 11 Mar 2021 10:49:47 +1300

livecd-rootfs (2.715) hirsute; urgency=medium

  [ Gauthier Jolly ]
  * ubuntu-cpc: change mount options in fstab to be align with defaults
    (LP: #1902103, LP: #1881006)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 02 Mar 2021 11:40:56 -0600

livecd-rootfs (2.714) hirsute; urgency=medium

  * Suppress cloud-init output during boot of live server ISO.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 26 Feb 2021 09:57:21 +1300

livecd-rootfs (2.713) hirsute; urgency=medium

  * Use the full name of the 'boot' flag in parted calls as it's not good
    practice to rely on the shortened, ambiguous version.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 24 Feb 2021 12:55:37 +0100

livecd-rootfs (2.712) hirsute; urgency=medium

  [ Cody Shepherd ]
  * Add grub config to produce console output and install lxd-agent loader
    to allow buildd vm images to work in lxd without requirement for manual
    installation (LP: #1915571)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 23 Feb 2021 14:32:19 -0600

livecd-rootfs (2.711) hirsute; urgency=medium

  * Perform fsck on all rootfs. (LP: #1912835)
  * functions: stop removing systemd-detect-virt unconditionally in undivert_grub
    (LP: #1902260)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Feb 2021 12:48:44 +0000

livecd-rootfs (2.710) hirsute; urgency=medium

  * esp: install grub in ubuntu bootloader id path, instead of removable.
    (LP: #1912830)
  * esp: perform fsck. (LP: #1912835)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 28 Jan 2021 10:43:20 +0000

livecd-rootfs (2.709) hirsute; urgency=medium

  [ Sebastien Bacher ]
  * Desktop is using the hwe kernel, do the same on canary

  [ Iain Lane ]
  * auto/config: Install pi-bluetooth for raspi images.
    These are in restricted, and so cannot be depended on by the
    metapackages which are in main.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 04 Jan 2021 10:38:15 +0000

livecd-rootfs (2.708) hirsute; urgency=medium

  * disk-image-uefi: fix riscv64 subarch user-data.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Dec 2020 09:15:36 +0000

livecd-rootfs (2.707) hirsute; urgency=medium

  * qcow2-image: unbreak builds without subarch.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 05 Dec 2020 15:17:46 +0000

livecd-rootfs (2.706) hirsute; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * As per discussion, we might want to keep the UC20 images a bit bigger than
    what's defined via the gadget/rootfs contents, to make sure writable is
    comfortably big enough. Use the same hard-coded value as for UC16 and UC18.
    (LP: #1905990)

  [ Dimitri John Ledkov ]
  * riscv64: fixup subarch build, unbound variable

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 03 Dec 2020 16:18:21 +0000

livecd-rootfs (2.705) hirsute; urgency=medium

  * config: on hirsute build UC22 images

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Dec 2020 11:05:55 +0000

livecd-rootfs (2.704) hirsute; urgency=medium

  * riscv64: build preinstalled riscv64 image with uboot SPL and CIDATA.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Dec 2020 17:16:03 +0000

livecd-rootfs (2.703) hirsute; urgency=medium

  * Do not hard-code the UC20 amd64 image size as now ubuntu-image should be
    able to properly calculate the needed size itself (LP: #1905990).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 27 Nov 2020 17:39:29 +0100

livecd-rootfs (2.702) hirsute; urgency=medium

  [ Sebastien Bacher ]
  * Use the target realpath to do the unmounting
  * Correctly set the environment needed by snapd in layered

  [ Dimitri John Ledkov ]
  * get-ppa-fingerprint: use production instance with latest api.
  * disk-image-uefi: riscv64 add u-boot spl (LP: #1905274)
  * disk-image-uefi: riscv64 add ubuntu:ubuntu login, without expiry.
  * rebuild with the correct version of 2.701 changes.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Nov 2020 18:41:34 +0000

livecd-rootfs (2.701) hirsute; urgency=medium

  [ Cody Shepherd ]
  * buildd: Create manifests for buildd tarballs

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 20 Nov 2020 14:55:21 -0600

livecd-rootfs (2.700) hirsute; urgency=medium

  [ David Krauser ]
  * buildd: produce kernel and initrd as separate artifacts
  * buildd: call update-initramfs for all installed kernels
    We only have one kernel installed, so we don't need to
    specify an explicit version.
  * Include -security and -updates packages in bootable buildd images
  * Produce buildd kernel and initrd as separate artifacts

  [ Patrick Viafore ]

