## livecd-rootfs 2.719.4

=== debian/changelog ===
livecd-rootfs (2.719.4) hirsute; urgency=medium

  [ Thomas Bechtold ]
  * magic-proxy: fix exception handling for URLError (LP: #1946520)

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 Nov 2021 15:25:42 -0800

livecd-rootfs (2.719.3) hirsute; urgency=medium

  [ Thomas Bechtold ]
  * magic-proxy: Replace http.client with urllib calls. live-build/auto/build:
    change iptables calls to query rules and quickly check that connectivity
    works after transparent proxy has been installed. (LP: #1917920)
  * magic-proxy: fix TypeError when trying to call get_uri() (LP: #1944906)

 -- Brian Murray <brian@ubuntu.com>  Thu, 21 Oct 2021 11:17:58 -0700

livecd-rootfs (2.719.2) hirsute; urgency=medium

  * Generate manifest for HyperV desktop image (LP: #1940136) 

 -- Jason C. McDonald <codemouse92@outlook.com>  Wed, 15 Sep 2021 23:38:06 +1200

livecd-rootfs (2.719.1) hirsute; urgency=medium

  [ Thomas Bechtold ]
  * Add a new ubuntu-oci project that contains the customizations currently
    performed downstream for the official Ubuntu images on dockerhub.
    (LP: #1926732)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 11 May 2021 11:34:58 +1200
