=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
          python3-apt,
          python3-launchpadlib,
          python3-yaml,
-         qemu-utils [!i386 !riscv64],
+         qemu-utils [!i386],
          rsync,
-         snapd (>= 2.39) [!i386 !riscv64],
+         snapd (>= 2.39) [!i386],
          squashfs-tools (>= 1:3.3-1),
          sudo,
          u-boot-tools [armhf arm64],
