## livecd-rootfs 2.742

=== debian/changelog ===
livecd-rootfs (2.742) impish; urgency=medium

  [ Brian Murray ]
  * Properly check ARCH when setting the intel-iot model.

  [ Sebastien Bacher ]
  * Enable universe sources on the desktop canary image.  LP: #1945831

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Oct 2021 13:11:33 -0700

livecd-rootfs (2.741) impish; urgency=medium

  [ John Chittum ]
  * mount cgroup2 type for snapd LP:#1944004 

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Sep 2021 11:25:24 -0700

livecd-rootfs (2.740) impish; urgency=medium

  [ Thomas Bechtold ]
  * magic-proxy: fix TypeError when trying to call get_uri() LP:#1944906

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Sep 2021 08:38:00 -0700

livecd-rootfs (2.739) impish; urgency=medium

  [ Daniel Bungert ]
  * Correct the 'type' in the source catalog entries for the desktop ISOs.

  [ Michael Hudson-Doyle ]
  * Record information about locale support (in particular, whether to install
    langpacks and which languages have pre-baked squashfses).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 27 Sep 2021 11:10:46 +1300

livecd-rootfs (2.738) impish; urgency=medium

  [ Thomas Bechtold ]
  * Keep changelogs for native deb pkgs in minimized builds.  LP: #1943114.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Sep 2021 09:40:28 -0700

livecd-rootfs (2.737) impish; urgency=medium

  * Generate source catalogs for the desktop canary build.
  * Check for duplicate ids in update-source-catalog.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 Sep 2021 21:39:23 +1200

livecd-rootfs (2.736) impish; urgency=medium

  * Change the per language layers in the desktop canary build to have more
    regular names (and make their implementation better documented and
    hopefully more comprehensible).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 30 Aug 2021 15:30:37 +1200

livecd-rootfs (2.735) impish; urgency=medium

  * Get source catalog translations from subiquity git, as brz is in universe.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 23 Aug 2021 15:42:33 +1200

livecd-rootfs (2.734) impish; urgency=medium

  [ Ethan Hsieh ]
  * Download snap packages with correct architecture.

  [ Michael Hudson-Doyle ]
  * Create source catalogs for the installable live server layers.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 19 Aug 2021 16:49:26 +1200

livecd-rootfs (2.733) impish; urgency=medium

  [ Michael Hudson-Doyle ]
  * Add a minimal server layer underneath the full server layer. Continue to
    mount the full server layer at /media/filesystem for now to keep
    compatibility with current subiquity.

  [ Brian Murray ]
  * Check for SUBARCH and ARCH when setting the intel-iot model. (LP: #1938338)

 -- Brian Murray <brian@ubuntu.com>  Mon, 16 Aug 2021 12:22:25 -0700

livecd-rootfs (2.732) impish; urgency=medium

  [ Michael Hudson-Doyle ]
  * lb_chroot_layered: fix quoting when searching for
    trusted.overlay.opaque

  [ Łukasz 'sil2100' Zemczak ]
  * Revert previous change of fixing /dev sharing - this causes weird
    autopkgtest issues.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 02 Aug 2021 22:10:11 +0200

livecd-rootfs (2.731) impish; urgency=medium

  [ Jason C. McDonald ]
  * Generate manifest for HyperV desktop image

  [ Łukasz 'sil2100' Zemczak ]
  * Fix sharing of the /dev tree to make sure we can safely umount the chroot
    when needed. This fixes local non-livefs-builder image builds.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 28 Jul 2021 22:01:56 +0200

livecd-rootfs (2.730) impish; urgency=medium

  * Rename subarch of intel-iotg to intel-iot, add support for intel-iot
    models.

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Jul 2021 11:55:42 -0700

livecd-rootfs (2.729) impish; urgency=medium

  [ Michael Hudson-Doyle ]
  * Fix a few things found while porting the live server ISO builds to
    layers.
  * Port live server ISO builds to layers.

  [ Chloé 'kajiya' Smith ]
  * Image hangs during boot after deploying groovy-server-cloudimg-amd64.ova,
    and the upgrading the ESXi hardware version. Adding a serial port
    rectifies this - so this code change simply adds a serial port to the OVF
    template (so there is a serial port as default). (LP: #1895104)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 12 Jul 2021 10:27:35 +1200

livecd-rootfs (2.728) impish; urgency=medium

  [ Dan Bungert ]
  * Remove the customized final message from the live server cloud-init config
    as it is no longer displayed.

  [ Michael Hudson-Doyle ]
  * Make sure the process that prints SSH connection info on s390x has
    its output connected to the console. (LP: #1933523)

  [ Brian Murray ]
  * Add a subarch of intel-iotg which is used for creating images with a
    kernel optimized for Intel IOT devices.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 01 Jul 2021 11:00:08 +1200

livecd-rootfs (2.727) impish; urgency=medium

  * Remove assumption in 032-installer-squashfs.binary that all core snaps
    needed for subiquity are already in the filesystem layer. (LP: #1933352)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Jun 2021 11:51:43 +1200

livecd-rootfs (2.726) impish; urgency=medium

  * Fix overriding of ExecStart in
    serial-getty@sclp_line0.service.d/subiquity-serial.conf.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 19 Jun 2021 11:44:33 +1200

livecd-rootfs (2.725) impish; urgency=medium

  * Revert previous change. I was too impatient and didn't wait long enough
    after performing some seed changes. The tasks are now correct and we can
    go back to using ubuntu-server-raspi once again.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 15 Jun 2021 09:44:21 +0200

livecd-rootfs (2.724) impish; urgency=medium

  * Use the server-raspi task name instead of ubuntu-server-raspi. It's still

