## livecd-rootfs 2.742.5

=== debian/changelog ===
livecd-rootfs (2.742.5) impish; urgency=medium

  * Split UEFI image out of `disk-image` series file into
    `disk-image-uefi`. (LP: #1961760) 

 -- Ivan Kapelyukhin <ivan.kapelyukhin@canonical.com>  Thu, 03 Mar 2022 15:53:10 +0100

livecd-rootfs (2.742.4) impish; urgency=medium

  * Unset `initrdless_boot_fallback_triggered` in /boot/grub/grubenv instead
    of setting it to 0 when the fallback is not triggered to prevent integrity
    monitoring errors on GCE. (LP: #1960564)

 -- Ivan Kapelyukhin <ivan.kapelyukhin@canonical.com>  Mon, 14 Feb 2022 21:24:22 +0100

livecd-rootfs (2.742.3) impish; urgency=medium

  * Add sleep due to e2fsck error in umount_partition. LP: #1960537

 -- Brian Murray <brian@ubuntu.com>  Thu, 10 Feb 2022 15:28:29 -0800

livecd-rootfs (2.742.2) impish; urgency=medium

  * Bump UEFI disk image size for armhf to 3.5 GB (LP: #1953609)
    Current builds are failing because the disk size is not big enough.
    This a backport from jammy and upstream livecd-rootfs:ubuntu/master.

 -- Phil Roche <phil.roche@canonical.com>  Wed, 08 Dec 2021 11:24:18 +0000

livecd-rootfs (2.742.1) impish; urgency=medium

  [ Thomas Bechtold ]
  * magic-proxy: fix exception handling for URLError LP: #1946520

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 Nov 2021 15:17:05 -0800
