## livecd-rootfs 2.764

=== debian/changelog ===
livecd-rootfs (2.764) jammy; urgency=medium

  [ Michał Sawicz ]
  * Add arm64 buildd bootable image. (LP: #1966636)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 11 Apr 2022 23:02:30 +0530

livecd-rootfs (2.763) jammy; urgency=medium

  * auto/config: upgrade from hwe-20.04 to hwe-22.04 variant.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 06 Apr 2022 15:09:47 +0100

livecd-rootfs (2.762) jammy; urgency=medium

  [ Dimitri John Ledkov ]
  * auto/config: drop support for 0c3.net domain, now obsolete.


  [ Jean-Baptiste Lallement ]
  * wsl: Create missing groups in chroot

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Thu, 31 Mar 2022 08:56:33 +0200

livecd-rootfs (2.761) jammy; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Remove attributes not supported by WSL's tar

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Thu, 24 Mar 2022 13:59:50 +0100

livecd-rootfs (2.760) jammy; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Create a separate WSL image than CPC so it can be managed independently.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Mon, 14 Mar 2022 11:30:41 +0100

livecd-rootfs (2.759) jammy; urgency=medium

  * Optionally (when ALLOW_CORE_SNAP env var is set) allow to install core
    snap. Still needed by some CPC projects. (LP: #1964303)

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Fri, 04 Mar 2022 14:00:16 +0100

livecd-rootfs (2.758) jammy; urgency=medium

  * Split UEFI image out of `disk-image` series file into
    `disk-image-uefi`. (LP: #1961760)

 -- Ivan Kapelyukhin <ivan.kapelyukhin@canonical.com>  Thu, 03 Mar 2022 15:44:52 +0100

livecd-rootfs (2.757) jammy; urgency=medium

  [ Dave Jones ]
  * Fix holes in swapfiles on pre-installed desktop images. Instead of
    pre-allocating the swapfile in the image, allocate it on first boot and
    use a systemd .swap unit to activate it (LP: #1961047)

  [ Łukasz 'sil2100' Zemczak ]
  * Use the 'classic' branch of the pi gadget for both classic and desktop
    pi images by specifying the gadget make target during the gadget priming
    phase.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 22 Feb 2022 11:33:28 +0100

livecd-rootfs (2.756) jammy; urgency=medium

  * Unset `initrdless_boot_fallback_triggered` in /boot/grub/grubenv instead
    of setting it to 0 when the fallback is not triggered to prevent integrity
    monitoring errors on GCE. (LP: #1960564)

 -- Ivan Kapelyukhin <ivan.kapelyukhin@canonical.com>  Thu, 10 Feb 2022 23:45:57 +0100

livecd-rootfs (2.755) jammy; urgency=medium

  [ Brian Murray ]
  * Add the casper package instead of the lupin-casper package as the
    installer for Windows is a project that is no longer supported and lupin
    is being removed the archive in LP: 1960457.

  [ John Chittum ]
  *  Add sleep due to e2fsck error in umount_partition. LP: #1960537

 -- Brian Murray <brian@ubuntu.com>  Thu, 10 Feb 2022 13:54:42 -0800

livecd-rootfs (2.754) jammy; urgency=medium

  * Disable APT periodic update for OCI/docker images when cron-like
    services are installed. (LP: #1810451)

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Fri, 04 Feb 2022 11:41:12 +0100

livecd-rootfs (2.753) jammy; urgency=medium

  * Disable compression and "hash table hardening" for journald in the
    live installer environment as these features make the journal unreadable
    using the systemd libraries from 20.04 that are included in the subiquity
    snap. (LP: #1953744)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 02 Feb 2022 22:43:20 +1300

livecd-rootfs (2.752) jammy; urgency=medium

  * Remove references to archive.canonical.com, which is no longer used and
    should not be included in the default sources.list.  LP: #1959343.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Jan 2022 14:26:52 -0800

livecd-rootfs (2.751) jammy; urgency=medium

  * Revert patch for unmounting in local builds as it is causing autopkgtest
    regressions

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 12 Jan 2022 13:43:24 -0600

livecd-rootfs (2.750) jammy; urgency=medium

  * Do not look for a base snap on snaps of type base, because recursive
    dependencies are not allowed for snaps.  LP: #1957123.
  * Treat it as a fatal error if we are asked to install a snap that would
    pull in the core snap.  Ubuntu 20.04 and Ubuntu 22.04 official images
    should never require snaps that depend on an Ubuntu 16.04 runtime, this
    indicates a misconfiguration that will bloat the install.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Jan 2022 17:34:37 -0800

livecd-rootfs (2.749) jammy; urgency=medium

  [ Heinrich Schuchardt ]
  * riscv64: ensure reasonable partition alignment (LP: #1952916).
  * functions: fix unmounting for local builds (LP: #1952921).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 16 Dec 2021 12:40:16 +0100

livecd-rootfs (2.748) jammy; urgency=medium

  * live-build/ubuntu-cpc/hooks.d/base/ovf/ubuntu-ova-v1-vmdk.tmpl: do not
    automatically allocate serial0 as it causes a hang when upgrading.
    (LP: #1895104)

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Dec 2021 10:09:44 -0800

livecd-rootfs (2.747) jammy; urgency=medium

  * ubuntu-cpc/hooks.d/base/disk-image-uefi.binary: Bump UEFI disk image
    size for armhf to 3.5 GB.
    Current builds are failing because the disk size is not big enough.

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Tue, 23 Nov 2021 10:15:18 +0100

livecd-rootfs (2.746) jammy; urgency=medium

  * Add the capability to build an ISO image for the Intel IoT project.
    Additionally, stop using universe with the project given that the kernel
    is now in main.

 -- Brian Murray <brian@ubuntu.com>  Tue, 16 Nov 2021 17:00:57 -0800

livecd-rootfs (2.745) jammy; urgency=medium

  [ Erich Eickmeyer ]
  * Remove fonts and publishing tasks from ubuntustudio DVD


