=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
          gdisk,
          genisoimage,
          germinate (>= 1.25.1),
+         gettext,
          git,
          gnupg,
          grep-dctrl,
