## livecd-rootfs 2.765.13

=== debian/changelog ===
livecd-rootfs (2.765.13) jammy; urgency=medium

  [ Heinrich Schuchardt ]
  * Backporting patches to support new RISC-V platforms (LP: #1997233)
  * Add support for the LicheeRV board (SUBARCH=licheerv)
  * Add support for the PolarFire Icicle Kit board (SUBARCH=icicle)
  * Reduce initrd size for Nezha and LicheeRV boards
  * Use efi=debug earlycon on kernel command line

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 21 Nov 2022 11:18:14 +0100

livecd-rootfs (2.765.12) jammy; urgency=medium

  * Remove fwupd, modemmanager, and udisks2 from the cloud images.
    LP: #1981109.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Nov 2022 14:52:49 -0800

livecd-rootfs (2.765.11) jammy; urgency=medium

  * Rename FK_FORCE_CONTAINER into FK_FORCE as its role was extended to also
    support chroot (LP: #1989194).

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Fri, 07 Oct 2022 09:49:30 -0500

livecd-rootfs (2.765.10) jammy; urgency=medium

  * The ubuntustudio dkms hook is only created when we're building
    ubuntustudio, so only chmod it when it exists.  LP: #1983521.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 Aug 2022 12:11:52 -0700

livecd-rootfs (2.765.9) jammy; urgency=medium

  * When adding the new RISC-V platforms, some of the generic non-SUBARCH code
    went missing and some invalid assumptions have been made, causing cloud
    images to fail building. This upload fixes these (LP: #1983599).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 04 Aug 2022 17:15:03 +0200

livecd-rootfs (2.765.8) jammy; urgency=medium

  * Manually blacklist DKMS modules for Ubuntu Studio builds (LP: #1983521).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 03 Aug 2022 18:46:23 -0500

livecd-rootfs (2.765.7) jammy; urgency=medium

  * Install wpasupplicant by default as for now, most of the RISC-V boards
    embed a Wifi chipset (LP: #1983008)

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Thu, 28 Jul 2022 14:17:11 +0200

livecd-rootfs (2.765.6) jammy; urgency=medium

  [ Alexandre Ghiti ]
  * Fix SiFive Unmatched build. While merging the VisionFive support, we
    removed the installation of u-boot-menu for the Unmatched by mistake
    (LP: #1982735).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 25 Jul 2022 10:24:08 +0200

livecd-rootfs (2.765.5) jammy; urgency=medium

  * Add support for the VisionFive and the Nezha boards (LP: #1980935)
  * Set FK_FORCE_CONTAINER for RISC-V images build to force flash-kernel
    to run in a container (LP: #1980929).

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Tue, 05 Jul 2022 10:55:44 +0200

livecd-rootfs (2.765.4) jammy; urgency=medium

  * Revert "don't modify ssh_config for ubuntu-cpc projects (LP:1968873)"
    This change triggered a bug in cloud-init (see LP:1968873).

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Mon, 11 Jul 2022 14:15:36 +0200

livecd-rootfs (2.765.3) jammy; urgency=medium

  * Do not modify /etc/ssh/sshd_config for ubuntu-cpc
    project builds (LP: #1968873)

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Thu, 30 Jun 2022 19:26:04 +0200

livecd-rootfs (2.765.2) jammy; urgency=medium

  * Switch the intel-iot images to use the linux-intel-iotg kernel instead.
    (LP: #1980065)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 30 Jun 2022 17:26:04 +0200

livecd-rootfs (2.764.1) jammy; urgency=medium

  * live-build/ubuntu-cpc/hooks.d/base/ovf/ubuntu-ova-v1-vmdk.tmpl:
    Revert OVF cd-rom controller to be IDE for VMWare (LP: #1970795)

 -- Simon Poirier <simon.poirier@canonical.com>  Thu, 16 Jun 2022 19:34:03 -0400
