## livecd-rootfs 2.765.20

=== debian/changelog ===
livecd-rootfs (2.765.20) jammy; urgency=medium

  * Enable building intel-iot live-server images (LP: #1980067).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 17 Mar 2023 12:31:55 +0100

livecd-rootfs (2.765.19) jammy; urgency=medium

  * auto/config: Add support for ubuntu core arm64 generic images (LP: #2009067)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 02 Mar 2023 18:21:06 +0000

livecd-rootfs (2.765.18) jammy; urgency=medium

  * Terrible hack workaround for clearing out the non-offline apt cache for
    desktop related images. 

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 22 Feb 2023 23:57:38 +0100

livecd-rootfs (2.765.17) jammy; urgency=medium

  * Do not offer the hwe kernel for RISC-V server-live images (LP: #2007863).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 20 Feb 2023 17:18:37 +0100

livecd-rootfs (2.765.16) jammy; urgency=medium

  * Properly handle the lowlatency hwe kernel flavour.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 16 Feb 2023 14:24:19 +0100

livecd-rootfs (2.765.15) jammy; urgency=medium

  * Enable the hwe kernel variant for 22.04.2 (LP: #2006481).
    - Add it to the server images besides the ga kernel.
    - Switch to hwe as default for all desktop flavors.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 07 Feb 2023 14:57:00 +0100

livecd-rootfs (2.765.14) jammy; urgency=medium

  [ Samir Akarioh ]
  * feat: Add metadata on ubuntu-oci image. (LP: #1998229)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 12 Dec 2022 15:30:56 +0530
