## livecd-rootfs 2.765.24

=== debian/changelog ===
livecd-rootfs (2.765.24) jammy; urgency=medium

  [ Jess Jang ]
  * fix: bind correct apparmor feature for validating snap seed.
    (LP: #2024639)

  [ John Chittum ]
  * fix: 6.2 kernel missing feature. (LP: #2031943)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Sat, 19 Aug 2023 03:24:34 +0530

livecd-rootfs (2.765.23) jammy; urgency=medium

  [ Loïc Minier ]
  * Initial support for NVIDIA Tegra (LP: #2015644).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 23 May 2023 16:40:34 +0200

livecd-rootfs (2.765.22) jammy; urgency=medium

  * Drop use of --removable flag to grub-install from
    live-build/buildd/hooks/02-disk-image-uefi.binary, to match the cloud
    images (7c760864fdcb278ca37396f06f5e3f297428d63d).  This fixes
    bootloader updates in the buildd images, but also fixes compatibility
    with using devtmpfs for losetup. 

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 May 2023 15:19:38 -0700

livecd-rootfs (2.765.21) jammy; urgency=medium

  [ jchittum ]
  * add multiple kernel apparmor feature sets for snap preseeding
    (LP: #2015596).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Apr 2023 08:05:35 -0700
