## livecd-rootfs 2.765.34

=== debian/changelog ===
livecd-rootfs (2.765.34) jammy; urgency=medium

  * Remove comments in the debian/control dependencies as it was causing the
    package build to fail.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 15 Jan 2024 16:41:18 +0100

livecd-rootfs (2.765.33) jammy; urgency=medium

  [ Steve Langasek ]
  * Use losetup instead of kpartx to resolve race conditions in riscv64
    image builds.  LP: #2045797.

  [ Utkarsh Gupta ]
  * unminimize: Use lxd-installer to install LXD itself (LP: #2036725)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 11 Jan 2024 16:50:22 +0530

livecd-rootfs (2.765.32) jammy; urgency=medium

  [ Heinrich Schuchardt ]
  * arm: fix console parameter for ARM cloud-images (LP: #2036730)

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Dec 2023 11:03:12 -0800

livecd-rootfs (2.765.31) jammy; urgency=medium

  [ John Chittum ]
  * fix: add 6.5 kernel apparmor features to livecd-rootfs based on
    features of 6.5 in ubuntu/mantic. This will roll as HWE. (LP: #2037567)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Dec 2023 21:53:31 -0800

livecd-rootfs (2.765.30) jammy; urgency=medium

  * Enable snap preseeding with ppc64el images where /boot/vmlinux is used
    instead of /boot/vmlinuz. (LP: #2038957)

 -- Philip Roche <phil.roche@canonical.com>  Fri, 27 Oct 2023 12:51:00 +0100

livecd-rootfs (2.765.29) jammy; urgency=medium

  [ Steve Langasek ]
  * The chroot tmpfs mount should only be /var/lib/apt/lists, not
    /var/lib/apt; the latter breaks changes to /var/lib/apt/extended_states.
    (LP: #2036195).

 -- Phil Roche <phil.roche@canonical.com>  Thu, 19 Oct 2023 18:10:20 +0100
 

livecd-rootfs (2.765.28) jammy; urgency=medium

  * Fix unminimize to correctly list packages. (LP: #1996489)
  * Install LXD snap from stable/ubuntu-<version> channel. (LP: #2036725)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 04 Oct 2023 13:48:53 +0530

livecd-rootfs (2.765.27) jammy; urgency=medium

  [ Thomas Bechtold ]
  * Do not modify /etc/ssh/sshd_config for ubuntu-cpc
    project builds (LP: #1968873)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 27 Sep 2023 22:58:35 -0700

livecd-rootfs (2.765.26) jammy; urgency=medium

  * Set GRUB_DISTRIBUTION in 50-builddimg-settings.cfg to ensure
    EFI is installed in the right place (LP: #2034253)

 -- jchittum <john.chittum@canonical.com>  Thu, 07 Sep 2023 13:51:33 -0500

livecd-rootfs (2.765.25) jammy; urgency=medium

  [ Michael Hudson-Doyle ]
  * Remove additional dependencies from subiquity units as they are now
    interfering with the boot process. (LP: #2028862)

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 28 Aug 2023 14:13:58 -0600

livecd-rootfs (0.29) jammy; urgency=low

  * Update copyright to 2006, 9 months late is better than never, right?
  * Update kernels for i386 and amd64 to reflect recent renaming.
  * Remove all cloop-related code, we're now squashfs-only on all arches.
  * Add mirror information to make things work faster on my network.
  * Swap out more metapackages for tasks (ubuntu-minimal/ubuntu-standard)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 21 Sep 2006 10:37:09 +1000

livecd-rootfs (0.28) jammy; urgency=low

  * Welcome to Edgy... Switch the default i386 kernel to -686, yay!
  * And when I say "edgy", I really mean it (ie: change the suite too)
  * Add the use of a sortfile from Tollef to the squashfs invocation.
  * s/libgoffice-gtk-1-2/libgoffice-gtk-0-3/ for the xubuntu hint.
  * s/ubuntu-base/ubuntu-minimal ubuntu-standard/g for seed changes.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 28 Aug 2006 03:40:28 +1000

livecd-rootfs (0.27) jammy; urgency=low

  [ Adam Conrad ]
  * Copy the kernel out of the livefs as well, so we have one that matches.
  * Enable rudimentary support for squashfs filesystems, initially enabling
    it on the primary architectures only (powerpc, i386, amd64)
  * Split the package LIST into LIST and LIVELIST, and generate a manifest
    before installing LIVELIST, so espresso can calculate the difference.
  * Use --print-installation-architecture instead of --print-architecture
  * Special-case kubuntu cloops to be slightly larger, so we don't overflow.
  * Make sparc use archive.ubuntu.com, it's no longer a ports arch.
  * Add xubuntu support to livecd.sh, including hackish workarounds.
  * Reset the debconf frontend after we're all done with the chroot.

  [ LaMont Jones ]
  * umount /var/{run,lock}
  * changes for launchpad archive (ftpmaster.internal instead of jackass)

 -- LaMont Jones <lamont@debian.org>  Wed,  8 Feb 2006 10:49:27 -0700
