## livecd-rootfs 2.765.35

=== debian/changelog ===
livecd-rootfs (2.765.35) jammy; urgency=medium

  * For raspi preinstalled builds, use a per-series dedicated gadget branch.
    (LP: #2049373)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 15 Jan 2024 11:32:47 +0100
